Skip to main content

SearchResult

Paginated list of definitions, returned by GET /registry/definitions and GET /registry/search.

Cursor-based pagination: next_cursor is the last definition_id seen. Pass as ?cursor= on the next request.

items object[]required
  • Array [
  • definition_idDefinition Id (string)required
    versionVersion (string)required
    definition_typeDefinition Type (string)required
    namespaceNamespace (string)required

    Possible values: [personal, team, org, global]

    meaning_hash object
    anyOf
    string
    ir_hash object
    anyOf
    string
    deprecatedDeprecated (boolean)
    Default value: false
    deprecated_at object
    anyOf
    string<date-time>
    replacement_version object
    anyOf
    string
    created_at object
    anyOf
    string<date-time>
    updated_at object
    anyOf
    string<date-time>
  • ]
  • has_moreHas More (boolean)required
    next_cursor object
    anyOf
    string
    total_countTotal Count (integer)required
    SearchResult
    {
    "items": [
    {
    "definition_id": "string",
    "version": "string",
    "definition_type": "string",
    "namespace": "personal",
    "meaning_hash": "string",
    "ir_hash": "string",
    "deprecated": false,
    "deprecated_at": "2024-07-29T15:51:28.071Z",
    "replacement_version": "string",
    "created_at": "2024-07-29T15:51:28.071Z",
    "updated_at": "2024-07-29T15:51:28.071Z"
    }
    ],
    "has_more": true,
    "next_cursor": "string",
    "total_count": 0
    }